<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <RelativeLayout
        android:id="@+id/tabContainer"
        android:layout_width="0dp"
        android:layout_height="@dimen/tab_layout_height"
        android:background="@color/ui_surface"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <com.gh.gamecenter.common.view.TabIndicatorView
            android:id="@+id/indicatorView"
            android:layout_width="match_parent"
            android:layout_height="@dimen/default_tab_indicator_height"
            android:layout_alignParentBottom="true"
            app:disableIndicatorScaling="true"
            app:indicatorColor="@color/primary_theme" />

        <com.google.android.material.tabs.TabLayout
            android:id="@+id/tabLayout"
            android:layout_width="match_parent"
            android:layout_height="@dimen/tab_layout_height"
            app:tabIndicator="@null"
            app:tabMode="scrollable"
            app:tabTextAppearance="@style/TabLayoutTextAppearance" />

    </RelativeLayout>

    <com.lightgame.view.NoScrollableViewPager
        android:id="@+id/viewPager"
        android:layout_width="0dp"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/tabContainer" />

    <ViewStub
        android:id="@+id/reuse_no_data_stub"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout="@layout/reuse_none_data"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"/>

    <ViewStub
        android:id="@+id/reuse_no_connection_stub"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout="@layout/reuse_no_connection"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <ViewStub
        android:id="@+id/reuse_loading_stub"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout="@layout/reuse_loading"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"/>

</androidx.constraintlayout.widget.ConstraintLayout>